- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QMatrix Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qmatrix.h.

`#include <qmatrix.h>`

List of all members.

## Public Member Functions
| QMatrix (Qt::Initialization)
| QMatrix ()
| QMatrix (qreal m11, qreal m12, qreal m21, qreal m22, qreal dx, qreal dy)
| QMatrix (const QMatrix &matrix)
void | setMatrix (qreal m11, qreal m12, qreal m21, qreal m22, qreal dx, qreal dy)
qreal | m11 () const
qreal | m12 () const
qreal | m21 () const
qreal | m22 () const
qreal | dx () const
qreal | dy () const
void | map (int x, int y, int *tx, int *ty) const
void | map (qreal x, qreal y, qreal *tx, qreal *ty) const
QRect | mapRect (const QRect &) const
QRectF | mapRect (const QRectF &) const
QPoint | map (const QPoint &p) const
QPointF | map (const QPointF &p) const
QLine | map (const QLine &l) const
QLineF | map (const QLineF &l) const
QPolygonF | map (const QPolygonF &a) const
QPolygon | map (const QPolygon &a) const
QRegion | map (const QRegion &r) const
QPainterPath | map (const QPainterPath &p) const
QPolygon | mapToPolygon (const QRect &r) const
void | reset ()
bool | isIdentity () const
QMatrix & | translate (qreal dx, qreal dy)
QMatrix & | scale (qreal sx, qreal sy)
QMatrix & | shear (qreal sh, qreal sv)
QMatrix & | rotate (qreal a)
bool | isInvertible () const
qreal | determinant () const
QMatrix | inverted (bool *invertible=0) const
bool | operator== (const QMatrix &) const
bool | operator!= (const QMatrix &) const
QMatrix & | operator*= (const QMatrix &)
QMatrix | operator* (const QMatrix &o) const
QMatrix & | operator= (const QMatrix &)
| operator QVariant () const
## Friends
class | QTransform

## Constructor & Destructor Documentation

QMatrix | ( | Qt::Initialization |  | ) | `[inline, explicit]`

Definition at line 64 of file qmatrix.h.

    {}

QMatrix | ( |  | ) |

QMatrix | ( | qreal | m11,
|  | qreal | m12,
|  | qreal | m21,
|  | qreal | m22,
|  | qreal | dx,
|  | qreal | dy
| ) |  |

QMatrix | ( | const QMatrix & | matrix | ) |

## Member Function Documentation

void setMatrix | ( | qreal | m11,
|  | qreal | m12,
|  | qreal | m21,
|  | qreal | m22,
|  | qreal | dx,
|  | qreal | dy
| ) |  |

Search for all occurrences

qreal m11 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 73 of file qmatrix.h.

    { return _m11; }

qreal m12 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 74 of file qmatrix.h.

    { return _m12; }

qreal m21 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 75 of file qmatrix.h.

    { return _m21; }

qreal m22 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 76 of file qmatrix.h.

    { return _m22; }

qreal dx | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 77 of file qmatrix.h.

    { return _dx; }

qreal dy | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 78 of file qmatrix.h.

    { return _dy; }

void map | ( | int | x,
|  | int | y,
|  | int * | tx,
|  | int * | ty
| ) |  | const

Search for all occurrences

void map | ( | qreal | x,
|  | qreal | y,
|  | qreal * | tx,
|  | qreal * | ty
| ) |  | const

Search for all occurrences

QRect mapRect | ( | const QRect & |  | ) | const

Search for all occurrences

QRectF mapRect | ( | const QRectF & |  | ) | const

Search for all occurrences

QPoint map | ( | const QPoint & | p | ) | const

Search for all occurrences

QPointF map | ( | const QPointF & | p | ) | const

Search for all occurrences

QLine map | ( | const QLine & | l | ) | const

Search for all occurrences

QLineF map | ( | const QLineF & | l | ) | const

Search for all occurrences

QPolygonF map | ( | const QPolygonF & | a | ) | const

Search for all occurrences

QPolygon map | ( | const QPolygon & | a | ) | const

Search for all occurrences

QRegion map | ( | const QRegion & | r | ) | const

Search for all occurrences

QPainterPath map | ( | const QPainterPath & | p | ) | const

Search for all occurrences

QPolygon mapToPolygon | ( | const QRect & | r | ) | const

Search for all occurrences

void reset | ( |  | ) |

Search for all occurrences

bool isIdentity | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 166 of file qmatrix.h.

    {
        return qFuzzyIsNull(_m11 - 1) && qFuzzyIsNull(_m22 - 1) && qFuzzyIsNull(_m12)
               && qFuzzyIsNull(_m21) && qFuzzyIsNull(_dx) && qFuzzyIsNull(_dy);
    }

QMatrix& translate | ( | qreal | dx,
|  | qreal | dy
| ) |  |

Search for all occurrences

QMatrix& scale | ( | qreal | sx,
|  | qreal | sy
| ) |  |

Search for all occurrences

QMatrix& shear | ( | qreal | sh,
|  | qreal | sv
| ) |  |

Search for all occurrences

QMatrix& rotate | ( | qreal | a | ) |

Search for all occurrences

bool isInvertible | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 103 of file qmatrix.h.

    { return !qFuzzyIsNull(_m11*_m22 - _m12*_m21); }

qreal determinant | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 104 of file qmatrix.h.

    { return _m11*_m22 - _m12*_m21; }

QMatrix inverted | ( | bool * | invertible = `0` | ) | const

Search for all occurrences

bool operator== | ( | const QMatrix & |  | ) | const

bool operator!= | ( | const QMatrix & |  | ) | const

QMatrix& operator*= | ( | const QMatrix & |  | ) |

QMatrix operator* | ( | const QMatrix & | o | ) | const

QMatrix& operator= | ( | const QMatrix & |  | ) |

operator QVariant | ( |  | ) | const

## Friends And Related Function Documentation

friend class QTransform `[friend]`

Search for all occurrences

Definition at line 142 of file qmatrix.h.

The documentation for this class was generated from the following file:

- QtGui/qmatrix.h

QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix
QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix QMatrix